Skip to navigation
EndpointBulk delete endpoints

Bulk delete endpoints

Deletes a list of endpoints in bulk, along with all child entities.

Unlike DELETE /api/v1/endpoint/{endpoint_id}, this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints.

Execute bulk operations sequentially - wait for each bulk request to complete before starting the next.

If a SIM is assigned to one of the endpoints, it’s released and suspended. If the delete_sims query parameter is set to true, the SIMs are also deleted.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Query parameters

delete_simsbooleanOptionalDefaults to false

If true, the SIMs will be deleted along with the endpoints. If false, the SIMs will only be suspended. Defaults to false.

Request

This endpoint expects a list of objects.
iddoubleRequired

Response

Endpoints deleted successfully

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error